Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  abstract class NodePrinters extends AnyRef

  The object `nodePrinter` converts the internal tree representation to a string.

  The object `nodePrinter` converts the internal tree representation to a string.

  Definition Classes
    ast
- DefaultPrintAST
- InfoLevel
- PrintAST
- nodeToRegularString

o

scala.tools.nsc.ast.NodePrinters

# nodeToRegularString 

###

#### object nodeToRegularString extends DefaultPrintAST with (Global.Tree) ⇒ String

Source
  NodePrinters.scala

Linear Supertypes
(Global.Tree) ⇒ String, DefaultPrintAST, PrintAST, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. nodeToRegularString
2. Function1
3. DefaultPrintAST
4. PrintAST
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def andThen[A](g: (String) ⇒ A): (Global.Tree) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
5.  def annotationInfoToString(annot: Global.AnnotationInfo): String
   Definition Classes
     PrintAST
6.  def apply(tree: Global.Tree): String
   Definition Classes
     nodeToRegularString → Function1
7.  def applyCommon(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Unit
   Definition Classes
     PrintAST
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def compose[A](g: (A) ⇒ Global.Tree): (A) ⇒ String
    Definition Classes
      Function1
    Annotations
      @unspecialized()
11.  def emptyOrComment(s: String): String
    Definition Classes
      PrintAST
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
21.  def printLine(value: String, comment: String): Unit
    Definition Classes
      PrintAST
22.  def printModifiers(tree: Global.MemberDef): Unit
    Definition Classes
      PrintAST
23.  def printMultiline(prefix: String, comment: String)(body: ⇒ Unit): Unit
    Definition Classes
      PrintAST
24.  def printMultiline(tree: Global.Tree)(body: ⇒ Unit): Unit
    Definition Classes
      PrintAST
25.  val printPos: Boolean
    Definition Classes
      DefaultPrintAST
26.  def printSingle(tree: Global.Tree, name: Global.Name): Unit
    Definition Classes
      PrintAST
27.  def println(s: String): Unit
    Definition Classes
      PrintAST
28.  def showAttributes(tree: Global.Tree): String
    Definition Classes
      DefaultPrintAST → PrintAST
29.  def showDefTreeName(tree: Global.DefTree): String
    Definition Classes
      DefaultPrintAST → PrintAST
30.  def showFlags(tree: Global.MemberDef): String
    Definition Classes
      DefaultPrintAST → PrintAST
31.  def showLiteral(lit: Global.Literal): String
    Definition Classes
      DefaultPrintAST → PrintAST
32.  def showName(name: Global.Name): String
    Definition Classes
      DefaultPrintAST → PrintAST
33.  def showNameAndPos(tree: Global.NameTree): String
    Definition Classes
      DefaultPrintAST → PrintAST
34.  def showPosition(tree: Global.Tree): String
    Definition Classes
      DefaultPrintAST → PrintAST
35.  def showRefTree(tree: Global.RefTree): String
    Definition Classes
      PrintAST
36.  def showRefTreeName(tree: Global.Tree): String
    Definition Classes
      PrintAST
37.  def showSymbol(tree: Global.Tree): String
    Definition Classes
      DefaultPrintAST
38.  def showType(tree: Global.Tree): String
    Definition Classes
      DefaultPrintAST
39.  def showTypeTree(tt: Global.TypeTree): String
    Definition Classes
      DefaultPrintAST → PrintAST
40.  def stringify(tree: Global.Tree): String
    Definition Classes
      PrintAST
41.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
42.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
43.  def traverse(tree: Global.Tree): Unit
    Definition Classes
      PrintAST
44.  def traverseAny(x: Any): Unit
    Definition Classes
      PrintAST
45.  def traverseList(ifEmpty: String, what: String)(trees: List[Global.Tree]): Unit
    Definition Classes
      PrintAST
46.  def treePrefix(tree: Global.Tree): String
    Definition Classes
      PrintAST
47.  def typeApplyCommon(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Unit
    Definition Classes
      PrintAST
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from (Global.Tree) ⇒ String

### Inherited from DefaultPrintAST

### Inherited from PrintAST

### Inherited from AnyRef

### Inherited from Any

### Ungrouped